Arduino

Reference Language | Libraries | Comparison | Changes

String

## startsWith()

#### Description

Tests whether or not a String starts with the characters of another String.

#### Syntax

string.startsWith(string2)

#### Parameters

string, string2: variable2 of type String

#### Returns

true: if string starts with the characters of string2
false: otherwise

#### Example

- StringStartsWithEndsWith

#### See also

- endsWith()
- lastIndexOf()
- indexOf()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes